----------Machines------------

local crusher = {
	enabled = false,
	ingredients = {
		{"titanium-plate", 50},
		{"processing-unit", 10},
		{"electric-mining-drill", 2},
	},
	name = "industrial-engineering-crusher",
	result = "industrial-engineering-crusher",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "a",
}

local blast_furnace = {
	enabled = false,
	ingredients = {
		{"titanium-plate", 30},
		{"stone-brick", 50},
	},
	name = "industrial-engineering-blast-furnace",
	result = "industrial-engineering-blast-furnace",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "c",
}

local gas_turbine = {
	enabled = false,
	ingredients = {
		{"titanium-plate", 20},
		{"iron-gear-wheel", 30},
		{"pipe", 20},
	},
	name = "industrial-engineering-gas-turbine",
	result = "industrial-engineering-gas-turbine",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "d",
}

data:extend({
    crusher,
	blast_furnace,
	gas_turbine,
})

----------Gases------------

----------Crushed Ores------------

local crushed_titanium_ore = {
	icon = "__industrial-engineering__/graphics/icons/bztitanium/crushed-titanium-ore.png",
    icon_size = 64,
	category = "industrial-engineering-crushing",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "titanium-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-crushed-titanium-ore",
	results = {
		{name = "industrial-engineering-crushed-titanium-ore", amount = 1, type = "item"},
		{name = "stone", amount = 1, type = "item", probability = 0.75},
	},
	type = "recipe",
	subgroup = "industrial-engineering-crushed",
}

data:extend({
	crushed_titanium_ore,
})

----------Clean Ores------------

local clean_titanium_ore = {
icon = "__industrial-engineering__/graphics/icons/bztitanium/clean-titanium-ore.png",
    icon_size = 64,
	category = "industrial-engineering-washing",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-titanium-ore", amount = 1, type = "item"},
		{name = "water", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-clean-titanium-ore",
	results = {
		{name = "industrial-engineering-clean-titanium-ore", amount = 1, type = "item"},
		{name = "stone", amount = 1, type = "item", probability = 0.25},
	},
	type = "recipe",
	subgroup = "industrial-engineering-clean",
}

data:extend({
	clean_titanium_ore,
})

----------Smelting Ores------------

local smelt_crushed_titanium_ore = {
	category = "smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 8,
	ingredients = {
		{name = "industrial-engineering-crushed-titanium-ore", amount = 5, type = "item"},
	},
	name = "industrial-engineering-smelt-crushed-titanium-ore",
	results = {
		{name = "titanium-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local smelt_clean_titanium_ore = {
	category = "smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 8,
	ingredients = {
		{name = "industrial-engineering-clean-titanium-ore", amount = 5, type = "item"},
	},
	name = "industrial-engineering-smelt-clean-titanium-ore",
	results = {
		{name = "titanium-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

data:extend({
	smelt_crushed_titanium_ore,
	smelt_clean_titanium_ore,
})

----------Blast Smelting Ores------------

local blast_smelt_crushed_titanium_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 8,
	ingredients = {
		{name = "industrial-engineering-crushed-titanium-ore", amount = 5, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 50, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-crushed-titanium-ore",
	results = {
		{name = "titanium-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_clean_titanium_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 8,
	ingredients = {
		{name = "industrial-engineering-clean-titanium-ore", amount = 5, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 50, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-clean-titanium-ore",
	results = {
		{name = "titanium-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_titanium_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 8,
	ingredients = {
		{name = "titanium-ore", amount = 5, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 50, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-titanium-ore",
	results = {
		{name = "titanium-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

data:extend({
	blast_smelt_crushed_titanium_ore,
	blast_smelt_clean_titanium_ore,
	blast_smelt_titanium_ore,
})