----------Machines------------

local crusher = {
	enabled = false,
	ingredients = {
		{"steel-plate", 50},
		{"processing-unit", 10},
		{"electric-mining-drill", 2},
	},
	name = "industrial-engineering-crusher",
	result = "industrial-engineering-crusher",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "a",
}

local washing_plant = {
	enabled = false,
	ingredients = {
		{"chemical-plant", 2},
		{"steel-plate", 25},
		{"pump", 4},
		{"processing-unit", 20},
	},
	name = "industrial-engineering-washing-plant",
	result = "industrial-engineering-washing-plant",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "b",
}

local blast_furnace = {
	enabled = false,
	ingredients = {
		{"steel-plate", 30},
		{"stone-brick", 50},
	},
	name = "industrial-engineering-blast-furnace",
	result = "industrial-engineering-blast-furnace",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "c",
}

local electric_blast_furnace = {
	enabled = false,
	ingredients = {
		{"steel-plate", 50},
		{"processing-unit", 20},
		{"electric-furnace", 20},
	},
	name = "industrial-engineering-electric-blast-furnace",
	result = "industrial-engineering-electric-blast-furnace",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "c",
}

local gas_turbine = {
	enabled = false,
	ingredients = {
		{"copper-plate", 30},
		{"iron-gear-wheel", 30},
		{"pipe", 20},
	},
	name = "industrial-engineering-gas-turbine",
	result = "industrial-engineering-gas-turbine",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "d",
}

local oil_boiler = {
	enabled = false,
	ingredients = {
		{"boiler", 1},
		{"pipe", 12},
		{"storage-tank", 1},
	},
	name = "industrial-engineering-oil-boiler",
	result = "industrial-engineering-oil-boiler",
	type = "recipe",
	subgroup = "industrial-engineering-production",
	order = "e",
}

data:extend({
    crusher,
	washing_plant,
	blast_furnace,
	gas_turbine,
	oil_boiler,
	electric_blast_furnace,
})

----------Fluids------------

local electrolytic_seperation = {
	category = "chemistry",
	enabled = false,
	energy_required = 5,
	icon = "__industrial-engineering__/graphics/icons/fluid/electrolytic-seperation.png",
	icon_size = 64,
	ingredients = {
		{name = "water", amount = 300, type = "fluid"},
	},
	name = "industrial-engineering-electrolytic-seperation",
	--order
	results = {
		{name = "industrial-engineering-oxygen", amount = 100, type = "fluid"},
		{name = "industrial-engineering-hydrogen", amount = 200, type = "fluid"},
	},
	type = "recipe",
	subgroup = "fluid-recipes",
}

local dirty_syngas = {
	category = "chemistry",
	enabled = false,
	energy_required = 5,
	--icon = "__industrial-engineering__/graphics/icons/fluid/dirty-syngas.png",
	--icon_size = 64,
	ingredients = {
		{name = "petroleum-gas", amount = 40, type = "fluid"},
		{name = "steam", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-dirty-syngas",
	--order
	results = {
		{name = "industrial-engineering-dirty-syngas", amount = 30, type = "fluid"},
	},
	type = "recipe",
	subgroup = "fluid-recipes",
}

local clean_syngas = {
	category = "chemistry",
	enabled = false,
	energy_required = 5,
	--icon = "__industrial-engineering__/graphics/icons/fluid/clean-syngas.png",
	--icon_size = 64,
	ingredients = {
		{name = "industrial-engineering-dirty-syngas", amount = 30, type = "fluid"},
		{name = "water", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-clean-syngas",
	--order
	results = {
		{name = "industrial-engineering-clean-syngas", amount = 40, type = "fluid"},
	},
	type = "recipe",
	subgroup = "fluid-recipes",
}

data:extend({
    electrolytic_seperation,
	dirty_syngas,
	clean_syngas,
})

----------Crushed Ores------------

local crushed_iron_ore = {
	icon = "__industrial-engineering__/graphics/icons/crushed-iron-ore.png",
    icon_size = 64,
	category = "industrial-engineering-crushing",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "iron-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-crushed-iron-ore",
	results = {
		{name = "industrial-engineering-crushed-iron-ore", amount = 1, type = "item"},
		{name = "stone", amount = 1, type = "item", probability = 0.25},
	},
	type = "recipe",
	subgroup = "industrial-engineering-crushed",
}

local crushed_copper_ore = {
	icon = "__industrial-engineering__/graphics/icons/crushed-copper-ore.png",
    icon_size = 64,
	category = "industrial-engineering-crushing",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "copper-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-crushed-copper-ore",
	results = {
		{name = "industrial-engineering-crushed-copper-ore", amount = 1, type = "item"},
		{name = "stone", amount = 1, type = "item", probability = 0.25},
	},
	type = "recipe",
	subgroup = "industrial-engineering-crushed",
}

data:extend({
    crushed_iron_ore,
	crushed_copper_ore,
})

----------Clean Ores------------

local clean_iron_ore = {
icon = "__industrial-engineering__/graphics/icons/clean-iron-ore.png",
    icon_size = 64,
	category = "industrial-engineering-washing",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-iron-ore", amount = 1, type = "item"},
		{name = "water", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-clean-iron-ore",
	results = {
		{name = "industrial-engineering-clean-iron-ore", amount = 1, type = "item"},
		{name = "stone", amount = 1, type = "item", probability = 0.1},
	},
	type = "recipe",
	subgroup = "industrial-engineering-clean",
}

local clean_copper_ore = {
icon = "__industrial-engineering__/graphics/icons/clean-copper-ore.png",
    icon_size = 64,
	category = "industrial-engineering-washing",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-copper-ore", amount = 1, type = "item"},
		{name = "water", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-clean-copper-ore",
	results = {
		{name = "industrial-engineering-clean-copper-ore", amount = 1, type = "item"},
		{name = "stone", amount = 1, type = "item", probability = 0.1},
	},
	type = "recipe",
	subgroup = "industrial-engineering-clean",
}

data:extend({
    clean_iron_ore,
	clean_copper_ore,
})

----------Smelting Ores------------

local smelt_crushed_iron_ore = {
	category = "smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-iron-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-smelt-crushed-iron-ore",
	results = {
		{name = "iron-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local smelt_clean_iron_ore = {
	category = "smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-clean-iron-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-smelt-clean-iron-ore",
	results = {
		{name = "iron-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local smelt_crushed_copper_ore = {
	category = "smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-copper-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-smelt-crushed-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local smelt_clean_copper_ore = {
	category = "smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-clean-copper-ore", amount = 1, type = "item"},
	},
	name = "industrial-engineering-smelt-clean-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

data:extend({
    smelt_crushed_iron_ore,
	smelt_clean_iron_ore,
	
	smelt_crushed_copper_ore,
	smelt_clean_copper_ore,
})

----------Blast Smelting Ores------------

local blast_smelt_crushed_iron_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-iron-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-crushed-iron-ore",
	results = {
		{name = "iron-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_clean_iron_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-clean-iron-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-clean-iron-ore",
	results = {
		{name = "iron-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_iron_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "iron-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-iron-ore",
	results = {
		{name = "iron-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_crushed_copper_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-crushed-copper-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-crushed-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_clean_copper_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "industrial-engineering-clean-copper-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-clean-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

local blast_smelt_copper_ore = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "copper-ore", amount = 1, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 10, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-copper-ore",
	results = {
		{name = "copper-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

data:extend({
    blast_smelt_crushed_iron_ore,
	blast_smelt_clean_iron_ore,
	blast_smelt_iron_ore,
	
	blast_smelt_crushed_copper_ore,
	blast_smelt_clean_copper_ore,
	blast_smelt_copper_ore,
})

----------Blast Smelting Plates------------

local blast_smelt_iron_plate = {
	category = "industrial-engineering-blast-smelting",
	enabled = true,
	hide_from_player_crafting = true,
	energy_required = 1,
	ingredients = {
		{name = "iron-plate", amount = 5, type = "item"},
		{name = "industrial-engineering-oxygen", amount = 50, type = "fluid"},
	},
	name = "industrial-engineering-blast-smelt-iron-plate",
	results = {
		{name = "steel-plate", amount = 1, type = "item"},
	},
	type = "recipe",
}

data:extend({
	blast_smelt_iron_plate
})