----------Entity------------
local entity_small_windmill = {
	name = "industrial-engineering-small-windmill",
	icon = "__industrial-engineering__/graphics/icons/small-windmill.png",
	icon_size = 64,
	order = "a",
	type = "solar-panel",
	max_health = 150,
	minable = {mining_time = 0.3, result = "industrial-engineering-small-windmill"},
	picture = {
		filename = "__industrial-engineering__/graphics/entity/small-windmill/small-windmill.png",
		priority = "high",
		height = 175,
		width = 151,
		frame_count = 1,
		line_length = 1,
		scale = 0.4,
		shift = {
            0,
            -0.3,
        },
	},
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__industrial-engineering__/sound/small-windmill.ogg", volume = 1.0},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-0.8, -0.8}, {0.8, 0.8}},
	selection_box = {{-1, -1}, {1, 1}},
	energy_source = {
        type = "electric",
        usage_priority = "solar",
    },
	production = "15kW",
}

local entity_large_windmill = {
	name = "industrial-engineering-large-windmill",
	icon = "__industrial-engineering__/graphics/icons/large-windmill.png",
	icon_size = 64,
	order = "a",
	type = "solar-panel",
	max_health = 150,
	minable = {mining_time = 0.3, result = "industrial-engineering-large-windmill"},
	picture = {
		filename = "__industrial-engineering__/graphics/entity/large-windmill/large-windmill.png",
		priority = "high",
		height = 175,
		width = 151,
		frame_count = 1,
		line_length = 1,
		scale = 0.6,
		shift = {
            0,
            -0.3,
        },
	},
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__industrial-engineering__/sound/large-windmill.ogg", volume = 1.5},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	energy_source = {
        type = "electric",
        usage_priority = "solar",
    },
	production = "40kW",
}

----------Item------------
local item_small_windmill = {
    icon = "__industrial-engineering__/graphics/icons/small-windmill.png",
    icon_size = 64,
	name = "industrial-engineering-small-windmill",
	--order
	stack_size = 50,
	--subgroup = "",
	type = "item",
	place_result = "industrial-engineering-small-windmill",
}

local item_large_windmill = {
    icon = "__industrial-engineering__/graphics/icons/large-windmill.png",
    icon_size = 64,
	name = "industrial-engineering-large-windmill",
	--order
	stack_size = 50,
	--subgroup = "",
	type = "item",
	place_result = "industrial-engineering-large-windmill",
}

----------Fluid------------

----------Recipe------------
local recipe_small_windmill = {
	enabled = true,
	energy_required = 1,
	--icon = "__industrial-engineering__/graphics/icons/small-windmill.png",
	--icon_size = 64,
	ingredients = {
		{name = "iron-plate", amount = 10, type = "item"},
		{name = "copper-plate", amount = 5, type = "item"},
	},
	name = "industrial-engineering-small-windmill",
	--order
	results = {
		{name = "industrial-engineering-small-windmill", amount = 1, type = "item"},
	},
	type = "recipe",
	subgroup = "energy",
}

local recipe_large_windmill = {
	enabled = false,
	energy_required = 1,
	--icon = "__industrial-engineering__/graphics/icons/large-windmill.png",
	--icon_size = 64,
	ingredients = {
		{name = "steel-plate", amount = 10, type = "item"},
		{name = "copper-plate", amount = 5, type = "item"},
		{name = "electronic-circuit", amount = 5, type = "item"},
	},
	name = "industrial-engineering-large-windmill",
	--order
	results = {
		{name = "industrial-engineering-large-windmill", amount = 1, type = "item"},
	},
	type = "recipe",
	subgroup = "energy",
}

----------Category------------

----------Technology------------
local tech_better_renewables = {
	effects = {
		{type = "unlock-recipe", recipe = "industrial-engineering-large-windmill"},
	},
	icon = "__industrial-engineering__/graphics/technology/better-renewables.png",
	icon_size = 64,
	name = "industrial-engineering-better-renewables",
	prerequisites = {"steel-processing", "logistic-science-pack"},
	type = "technology",
	unit = {
		count = 50,
		ingredients = {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
		},
		time = 30
	},
}

table.insert(data.raw["technology"]["solar-energy"].prerequisites, "industrial-engineering-better-renewables")

----------Add To Game------------
data:extend({
	entity_small_windmill,
	item_small_windmill,
	recipe_small_windmill,
	
	entity_large_windmill,
	item_large_windmill,
	recipe_large_windmill,
	
	tech_better_renewables,
})